#### D.3.1.19 multrow

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  multrow(A,r,p); A matrix, p poly, r positive integer

Return:
  matrix, A being modified by multiplying row r by p

Example:

    LIB "matrix.lib";
    ring r=32003,(x,y,z),lp;
    matrix A[3][3]=1,2,3,4,5,6,7,8,9;
    print(A);
    ==> 1,2,3,
    ==> 4,5,6,
    ==> 7,8,9
    print(multrow(A,2,xy));
    ==> 1,  2,  3,
    ==> 4xy,5xy,6xy,
    ==> 7,  8,  9

User manual for Singular version 4.4.1, 2025, generated by texi2html.